# ACMEProviderService
> ACME服务商

---

## findACMEProviderWithCode
> 根据代号查找服务商

- 角色：`admin`
- HTTP：`POST https://backend.dooki.cloud/ACMEProviderService/findACMEProviderWithCode`
- RPC：`rpc findACMEProviderWithCode(FindACMEProviderWithCodeRequest) returns (FindACMEProviderWithCodeResponse);`

**请求对象 (`FindACMEProviderWithCodeRequest`)**

```json
{
  "acmeProviderCode": "string"
}
```

**响应对象 (`FindACMEProviderWithCodeResponse`)**

```json
{
  "acmeProvider": "ACMEProvider"
}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/ACMEProviderService/findACMEProviderWithCode" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## findAllACMEProviders
> 查找所有的服务商

- 角色：`admin`
- HTTP：`POST https://backend.dooki.cloud/ACMEProviderService/findAllACMEProviders`
- RPC：`rpc findAllACMEProviders(FindAllACMEProvidersRequest) returns (FindAllACMEProvidersResponse);`

**请求对象 (`FindAllACMEProvidersRequest`)**

```json
{}
```

**响应对象 (`FindAllACMEProvidersResponse`)**

```json
{
  "acmeProviders": "[]ACMEProvider"
}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/ACMEProviderService/findAllACMEProviders" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---
